cURL
curl --request POST \ --url https://api.thehaystack.ai/v2/haystack/speakers/create \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "bio": "<string>", "imageFilename": "<string>" } '
{ "speaker": { "id": 123, "name": "Pastor John Smith", "bio": "<string>", "imageUrl": "<string>", "imageFilename": "<string>", "itemCount": 123 } }
Create a new speaker
Documentation IndexFetch the complete documentation index at: https://developer.thehaystack.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://developer.thehaystack.ai/llms.txt
Use this file to discover all available pages before exploring further.
Enter your API token from the Haystack dashboard
Use /speakers/{id}/image/upload to set this after creation
Speaker created
Show child attributes